package main

import (
	"fmt"
	"io/ioutil"
	"net/http"
	"net/url"
	"strings"
    "encoding/json"
)

func main() {
	res := shortURL("https://example.com") // 替换为您要生成短链接的原始网址
	fmt.Println(res)
}

func shortURL(longURL string) string {
	apiUrl := "https://c1n.cn/link/short"
	payload := strings.NewReader(fmt.Sprintf("url=%s&type=URI&key=&remark=&expiryDate=", url.QueryEscape(longURL)))

	req, _ := http.NewRequest("POST", apiUrl, payload)
	req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
	req.Header.Add("token", "you_token") // 替换为您的token

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := ioutil.ReadAll(res.Body)

	// 解析JSON响应
	responseData := make(map[string]interface{})
	json.Unmarshal(body, &responseData)

	code := responseData["code"].(float64)
	if code == 0 {
		return responseData["data"].(string)
	}
	return responseData["msg"].(string)
}